
Auto Multiple Choice - Bug # 71: Non reconnaissance de page à l'extraction

Status: Closed Priority: Normal
Author: Jean-Julien Fleck Category:
Created: 08/31/2012 Assignee:
Updated: 09/24/2012 Due date:
Description: AMC v1.1.1 installé via MacPorts (tout à jour sauf p5.12-net-cups, cf [[#70]], mais je ne pense pas que le 

serveur d'impression soit en cause) sur OSX.8

La génération des fichiers se fait correctement, mais lors de l'import d'un scan, rien n'apparaît dans la fenêtre 
"Diagnostic" alors que "Détail de la sortie des commandes" signale que l'identifiant de la page a été 
correctement reconnu et d'après ce que je comprends du log, la reconnaissance des box semble s'être faite 
correctement. Le souci semble être à l'endroit suivant (ligne 1015 du log):

<pre>
[  64745,   0.10] Reading scan /Users/jfleck/Projets-QCM/Essai_AMC111/scans/scans_3.png for 
extractions...
Can't call method "new" without a package or object reference at /opt/local/lib/AMC/perl/AMC-analyse.pl line 
674.
[  64745,   0.11] Image sending QUIT
</pre>

Ce qui m'embête, c'est qu'hier encore cela fonctionnait (avec AMC déjà en v1.1.1) et comme cette nuit, j'ai 
recherché et upgradé tous les ports "outdated" de mon système pour être sûr que tout soit à jour, c'est 
sûrement de là que vient le souci (plus d'infos dans le fichier installed_ports.txt joint). Malheureusement, je 
n'ai pas la liste de ceux qui ont spécifiquement été upgradé cette nuit :o/

History
08/31/2012 11:05 am - Alexis Bienvenüe
Il semblerait qu'AMC n'arrive pas à accéder aux modules perl de transformation d'image (@Graphics::Magick@ ou @Image::Magick@). Pouvez-vous 
essayer les commandes suivantes, pour voir ?
<pre>
/opt/local/bin/perl -MGraphics::Magick -e ""
/opt/local/bin/perl -MImage::Magick -e ""
</pre>
Sur MacPorts, je crois que c'est la variante @perl@ du port @ImageMagick@ qui installe le module perl @Image::Magick@. Peut-être cette variante 
n'est-elle plus sélectionnée ?
<pre>
imagemagick @6.7.2-0_0+perl+q16
ImageMagick @6.7.9-0_0+perl+q16
ImageMagick @6.7.9-0_0+q16 (active)
</pre>

08/31/2012 12:33 pm - Jean-Julien Fleck
Alexis Bienvenüe wrote:
> Il semblerait qu'AMC n'arrive pas à accéder aux modules perl de transformation d'image (@Graphics::Magick@ ou @Image::Magick@). Pouvez-vous 
essayer les commandes suivantes, pour voir ?

Effectivement, 

<pre>
~>/opt/local/bin/perl -MGraphics::Magick -e ""
Can't locate Graphics/Magick.pm in @INC
~> /opt/local/bin/perl -MImage::Magick -e ""
Can't locate Image/Magick.pm in @INC
</pre>

> Sur MacPorts, je crois que c'est la variante @perl@ du port @ImageMagick@ qui installe le module perl @Image::Magick@. Peut-être cette variante 
n'est-elle plus sélectionnée ?

Bien vu !

<pre>
sudo port install ImageMagick@6.7.9-0_0+perl+q16
</pre>

a résolu le problème. Merci !

08/31/2012 12:58 pm - Alexis Bienvenüe
- Status changed from New to Resolved

09/24/2012 09:28 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from Resolved to Closed
